<style>
.tag_cr_blog_write {
    margin: 0;
    border-radius: 5px;
    box-shadow: 0 1px 2px rgb(0 0 0 / 50%);
}
</style>
<div class="modal fade" id="create-product-modal" role="dialog">
	<div class="modal-dialog wow_mat_mdl">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo $wo['lang']['sell_new_product'] ?></h4>
			</div>
			<form class="create-album-form form-horizontal" method="post">
				<div class="modal-body tag_field_full_margin">
					<div class="app-general-alert setting-update-alert"></div>
					<label class="tag_field">
						<input id="name" name="name" type="text" placeholder=" ">
						<span><?php echo $wo['lang']['name'] ?></span>
					</label>
					<label class="tag_field">
						<textarea name="description" rows="3" id="description" placeholder=" "></textarea>
						<span><?php echo $wo['lang']['description'] ?></span>
					</label>
					<div class="help-block"><?php echo $wo['lang']['please_describe_your_product'] ?></div>
					<div class="row">
						<div class="col-lg-4">
							<label class="tag_field">
								<select name="currency" id="currency">
									<?php foreach ($wo['currencies'] as $key => $currency) { ?>
										<option value="<?php echo $key; ?>"><?php echo  $currency['text'] ?> (<?php echo  $currency['symbol'] ?>)</option>
									<?php } ?>
								</select>
								<span><?php echo $wo['lang']['currency'] ?></span>
							</label>
						</div>
						<div class="col-lg-4">
							<label class="tag_field">
								<input id="price" name="price" type="text" placeholder=" ">
								<span><?php echo $wo['lang']['price'] ?></span>
							</label>
						</div>
						<div class="col-lg-4">
							<!-- <label class="tag_field">
								<select name="type" id="type">
									<option value="0"><?php //echo $wo['lang']['new'] ?></option>
									<option value="1"><?php //echo $wo['lang']['used'] ?></option>
								</select>
								<span><?php //echo $wo['lang']['type'] ?></span>
							</label> -->
							<label class="tag_field">
								<select name="category" id="category" onchange="GetProductSubCategory(this)">
									<?php 
										foreach ($wo['products_categories'] as $key => $category) {
											if ($key > 1) {
									?>
										<option value="<?php echo $key;?>"><?php echo $category;?></option>
									<?php } ?>
									<?php if ($key == count($wo['products_categories']) && !empty($wo['products_categories'][1]) ) { ?>
										<option value="1"><?php echo $wo['products_categories'][1];?></option>
									<?php } ?>
									<?php } ?>
								</select>
								<span><?php echo $wo['lang']['category'] ?></span>
							</label>
						</div>
					</div>
					<div class="row">
						<!-- <div class="col-md-6">
							<label class="tag_field">
								<input id="location" name="location" type="text" placeholder=" ">
								<span><?php //echo $wo['lang']['location'] ?></span>
							</label>
						</div> -->
						<div class="col-md-12">

						<?php if (!empty($wo['products_sub_categories'])) { ?>
						<label class="tag_field">
							<select name="product_sub_category" id="product_sub_category">
								<?php
									unset($wo['products_categories'][1]);
									if (!empty($wo['products_sub_categories'][array_keys($wo['products_categories'])[0]])) {
									foreach ($wo['products_sub_categories'][array_keys($wo['products_categories'])[0]] as $id => $sub_category) { ?>
									<option value="<?php echo $sub_category['id']?>"><?php echo $sub_category['lang']; ?></option>
								<?php } } ?>
							</select>
							<span><?php echo $wo['lang']['sub_category'] ?></span>
						</label>
					<?php } ?>
							<label class="tag_field">
							<div name="instructions_links" class="tag_cr_blog_write" id="instructions_links" data-phold="<?php echo $wo['lang']['write_something_here'] ?>"></div> 
								<span>After purchase instructions and links</span>
							</label>
							<div class="help-block">Example: Thanks your for your purchase. Here are the links for watching the lessons:
https://mylink.com etc...</div>
						</div>
						<div class="col-md-12">
						<label class="tag_field">
						<?php $groups=Wo_GetMyGroups(); 
							?>
							<select name="group_username" id="group_username" class="selectpicker">
								<option value="">Select</option>
								<?php foreach($groups as $group){ ?>
								<option value="<?php echo $group['group_name']; ?>"><?php echo $group['group_title']; ?></option>
								<?php } ?>
							</select>
						<span>Auto-invite to my group: (optional)</span>
					</label>
							<div class="help-block">This will invite the member to your group.</div>
						</div>
					</div>
					

					<?php $fields = Wo_GetCustomFields('product'); 
						if (!empty($fields)) {
							foreach ($fields as $key => $wo['field']) {
								echo Wo_LoadPage('products/fields');
							}
						}
					?>
					<div class="tag_alone_label">
						<label><?php echo $wo['lang']['photos'];?></label>
					</div>
					<div id="productimage-holder" class="valign tag_slide_upload_img tag_crprods_upld_img">
						<div class="upload-product-image pointer" onclick="document.getElementById('product-photos').click(); return false">
							<div class="valign">
								<svg height="28" viewBox="0 0 512 512" width="28" xmlns="http://www.w3.org/2000/svg"><path fill="currentColor" opacity=".7" d="m149.332031 149.332031c0 23.566407-19.101562 42.667969-42.664062 42.667969-23.566407 0-42.667969-19.101562-42.667969-42.667969 0-23.5625 19.101562-42.664062 42.667969-42.664062 23.5625 0 42.664062 19.101562 42.664062 42.664062zm0 0"/><path fill="currentColor" opacity=".7" d="m202.667969 373.332031c0-83.15625 59.816406-152.511719 138.664062-167.550781v-141.78125c0-35.285156-28.714843-64-64-64h-213.332031c-35.285156 0-64 28.714844-64 64v298.667969c0 35.285156 28.714844 64 64 64h147.328125c-5.546875-16.8125-8.660156-34.6875-8.660156-53.335938zm-101.546875-113.492187c-14.082032-14.078125-38.828125-14.078125-52.90625 0l-5.546875 5.527344v-201.367188c0-11.777344 9.554687-21.332031 21.332031-21.332031h213.332031c11.777344 0 21.335938 9.554687 21.335938 21.332031v137.367188l-16.214844-16.214844c-14.589844-14.59375-38.335937-14.59375-52.90625 0l-101.546875 101.546875zm0 0"/><path fill="currentColor" opacity=".7" d="m373.332031 234.667969c-76.457031 0-138.664062 62.207031-138.664062 138.664062 0 76.460938 62.207031 138.667969 138.664062 138.667969 76.460938 0 138.667969-62.207031 138.667969-138.667969 0-76.457031-62.207031-138.664062-138.667969-138.664062zm58.667969 160h-37.332031v37.332031c0 11.796875-9.539063 21.332031-21.335938 21.332031s-21.332031-9.535156-21.332031-21.332031v-37.332031h-37.332031c-11.796875 0-21.335938-9.539063-21.335938-21.335938s9.539063-21.332031 21.335938-21.332031h37.332031v-37.332031c0-11.796875 9.535156-21.335938 21.332031-21.335938s21.335938 9.539063 21.335938 21.335938v37.332031h37.332031c11.796875 0 21.332031 9.535156 21.332031 21.332031s-9.535156 21.335938-21.332031 21.335938zm0 0"/></svg>
							</div>
						</div>
					</div>

					<div class="hidden">
						<input type="file" id="product-photos" accept="image/x-png, image/jpeg" name="postPhotos[]" multiple="multiple">
					</div>
					<input type="hidden" name="id" class="form-control input-md" value="">
					<input type="hidden" name="hash_id" value="<?php echo Wo_CreateSession();?>">
					<input type="hidden" name="lat-product" id="lat-product" value="">
					<input type="hidden" name="lng-product" id="lng-product" value="">
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default btn-mat disable_btn" data-dismiss="modal" aria-label="Close"><?php echo $wo['lang']['cancel'] ?></button>
					<button type="submit" class="btn btn-main btn-mat disable_btn"><?php echo $wo['lang']['publish']; ?></button>
				</div>
			</form>
		</div>
	</div>
</div>
<script type="text/javascript">
	<?php 
$js_array = json_encode($wo['products_sub_categories']);
echo "var sub_categories_array = ". $js_array . ";\n";
?>
	function GetProductSubCategory(self) {
		id = $(self).val();
		var text = "";
		if (typeof(sub_categories_array[id]) == 'undefined') {
		    $('#product_sub_category').html('');
		}
		else{
		   	sub_categories_array[id].forEach(function(entry) {
				text = text + "<option value='"+entry.id+"'>"+entry.lang+"</option>";
			});
		    $('#product_sub_category').html(text);
		}
	}
$(document).ready(function() {
	$("#product-photos").on('change', function() {
		var product_image_holder = $("#productimage-holder");
		product_image_holder.find('img').remove();
		for (var i = 0; i < this.files.length; i++) {
			var fr = new FileReader();
			fr.onload = function(e) {
				$('#productimage-holder').append('<img src="' + e.target.result + '" class="thumb-image">')
			}
			fr.readAsDataURL(this.files[i]);
		}
	});
});

$(function() {
   	if (navigator.geolocation) {
        var location = navigator.geolocation.getCurrentPosition(function (position) {
            $("#lng-product").val(position.coords.longitude);
            $("#lat-product").val(position.coords.latitude);
        });
    }
    var status = $('#status');
     $('form.create-album-form').ajaxForm({
       url: Wo_Ajax_Requests_File() + '?f=products&s=create',
       beforeSend: function() {
         $('.create-album-form').find('.disable_btn').attr('disabled','disabled');
       },
       success: function(data) {
         if (data.status == 200) {
           window.location.href = data.href;
         } else {
             var errors = data.errors.join("<br>");
             $('.app-general-alert').html('<div class="alert alert-danger">' + errors + '</div>');
             $('.alert-danger').fadeIn(300);
         }
         $('.create-album-form').find('.disable_btn').removeAttr("disabled");
       }
     });
   });
<?php if ($wo['config']['google_map'] == 1) { ?>
var create_pac_input = document.getElementById('location');
  (function pacSelectFirst(input) {
    // store the original event binding function
    var _addEventListenerProduct = (input.addEventListener) ? input.addEventListener : input.attachEvent;
    function addEventListenerWrapper(type, listener) {
      // Simulate a 'down arrow' keypress on hitting 'return' when no pac suggestion is selected,
      // and then trigger the original listener.
      if(type == "keydown") {
        var orig_listener_product = listener;
        listener = function (event) {
          var suggestion_selected_product = $(".pac-item-selected").length > 0;
          if(event.which == 13 && !suggestion_selected_product) {
            var simulated_downarrow_product = $.Event("keydown", {
              keyCode: 40,
              which: 40
            });
            orig_listener_product.apply(input, [simulated_downarrow_product]);
          }
          orig_listener_product.apply(input, [event]);
        };
      }
      // add the modified listener
      _addEventListenerProduct.apply(input, [type, listener]);
    }
    if(input.addEventListener)
      input.addEventListener = addEventListenerWrapper;
    else if(input.attachEvent)
      input.attachEvent = addEventListenerWrapper;
  })(create_pac_input);

  $(function () {
     var autocompleteproduct = new google.maps.places.Autocomplete(create_pac_input);
  });
<?php } ?>


tinymce.init({
	selector: '#instructions_links',
	menubar: false,
	<?php if (Wo_IsMobile() == false) { ?>
	inline: true,
	<?php } ?>
	theme: 'inlite',
	images_upload_credentials: true,
	paste_data_images: true,
	relative_urls : false,
	remove_script_host : false,
	convert_urls : true,
	entity_encoding : "raw",
	images_upload_url: Wo_Ajax_Requests_File() + '?f=upload-blog-image',
	toolbar: "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image | forecolor backcolor",
	insert_toolbar: 'image hr quicktable pagebreak | numlist bullist | h2 h3 | media link',
	selection_toolbar: 'undo redo | bold italic underline | strikethrough forecolor | h2 h3 | alignleft aligncenter alignright | blockquote quicklink',
	contextmenu: 'inserttable | cell row column deletetable',
	plugins: [
      "advlist autolink lists link image hr anchor pagebreak media",
      "searchreplace wordcount visualblocks visualchars code fullscreen",
      "insertdatetime nonbreaking save table contextmenu directionality",
      "paste textcolor colorpicker textpattern"
    ],
    file_picker_callback: function(callback, value, meta) {
      if (meta.filetype == 'image') {
        $('#upload').trigger('click');
        $('#upload').on('change', function() {
          var file = this.files[0];
          var reader = new FileReader();
          reader.onload = function(e) {
            callback(e.target.result, {
              alt: ''
            });
          };
          reader.readAsDataURL(file);
        });
      }
    },
	mobile: {
		theme: 'mobile'
	},
});
</script>